Subject: Re: [PATCH] Makefile: do not export mandir/htmldir/infodir

From: Jonathan Nieder <[email-masked]>
Date: Tue, 12 Feb 2013 15:16:51 -0800

Junio C Hamano wrote:

> These are defined in the main Makefile to be funny values that are
> optionally relative to an unspecified location that is determined at
> runtime.
[...]
> A longer term fix is to introduce runtime_{man,html,info}dir variables
> to hold these funny values, and make {man,html,info}dir variables
> to have real paths whose default values begin with $(prefix), but
> as a first step, stop exporting them from the top-level Makefile.

Makes sense.

Reported-by: John Keeping <[email-masked]>
Reviewed-by: Jonathan Nieder <[email-masked]>